Bug 251913 - Amarok crashes with phonon-vlc each time it ends to play a song [@ EsOutMeta (out=<value optimized out>, i_query=<value optimized out>, args=<value optimized out>) ]
Summary: Amarok crashes with phonon-vlc each time it ends to play a song [@ EsOutMeta...
Status: RESOLVED FIXED
Alias: None
Product: taglib
Classification: Unclassified
Component: general (show other bugs)
Version: 1.8
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Jean-Baptiste Kempf
URL: https://github.com/taglib/taglib/issu...
Keywords:
: 254244 254374 321110 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-09-21 12:23 UTC by Waldo Cancino
Modified: 2013-07-16 11:12 UTC (History)
13 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.9


Attachments
New crash information added by DrKonqi (15.64 KB, text/plain)
2011-01-10 20:11 UTC, Sylvain Paré
Details
New crash information added by DrKonqi (22.19 KB, text/plain)
2011-03-13 15:19 UTC, Tom Kijas
Details
Amarok crashing when calling taglib to read tags (2.90 KB, text/plain)
2013-07-12 17:22 UTC, Bruno Léon
Details
Taglib (commit 3a636c7) reading the file without crashing (2.71 KB, text/plain)
2013-07-12 17:38 UTC, Bruno Léon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Waldo Cancino 2010-09-21 12:23:27 UTC
Application: amarok (2.3.2)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.6.3
Operating System: Linux 2.6.35-trunk-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
Each time I play a song in amarrok it crashes using
the phonon-vlc. I have not pulse-audio installed,
so may be it is not so related to 240001.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fbc6c968780 (LWP 7812))]

Thread 11 (Thread 0x7fbc20df8710 (LWP 7817)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbc552375e2 in ?? () from /usr/lib/libvlccore.so.4
#2  0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fbc178f4710 (LWP 7819)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbc6ad96e6b in wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbc66f56e56 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x28902c0, th=0x2891b90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbc66f596fb in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x2891b90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbc66f59714 in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x2891b90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fbc66f59714 in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x2891b90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fbc66f57c7f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc178f3e10, parent=0x28902c0, th=0x2891b90) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007fbc66f581d8 in ThreadWeaver::Thread::run (this=0x2891b90) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007fbc6ad95e15 in QThreadPrivate::start (arg=0x2891b90) at thread/qthread_unix.cpp:248
#10 0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fbc16ac4710 (LWP 7820)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbc6108e556 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007fbc6108e599 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fbc14aa7710 (LWP 7821)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbc6ad96e6b in wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbc66f56e56 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x28902c0, th=0x2155cc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbc66f596fb in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x2155cc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbc66f59714 in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x2155cc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fbc66f57c7f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc14aa6e10, parent=0x28902c0, th=0x2155cc0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fbc66f581d8 in ThreadWeaver::Thread::run (this=0x2155cc0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fbc6ad95e15 in QThreadPrivate::start (arg=0x2155cc0) at thread/qthread_unix.cpp:248
#9  0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fbc142a6710 (LWP 7822)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fbc69824458 in _L_lock_9590 () from /lib/libc.so.6
#2  0x00007fbc69822841 in __libc_free (mem=0x7fbc69b08e40) at malloc.c:3737
#3  0x00007fbc63a9f99b in ?? () from /lib/libglib-2.0.so.0
#4  0x00007fbc63a9fb73 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007fbc65f0ded9 in __nptl_deallocate_tsd () at pthread_create.c:155
#6  0x00007fbc65f0e8c8 in start_thread (arg=<value optimized out>) at pthread_create.c:307
#7  0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fbc13aa5710 (LWP 7824)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbc667bc356 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fbc66a9a1e0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007fbc667bc399 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fbc66aa82ac) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fbc03daa710 (LWP 7841)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbc6ad96e6b in wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbc66f56e56 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x28902c0, th=0x30b4790) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbc66f596fb in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x30b4790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbc66f59714 in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x30b4790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fbc66f59714 in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x30b4790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fbc66f59714 in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x30b4790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007fbc66f57c7f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc03da9e10, parent=0x28902c0, th=0x30b4790) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007fbc66f581d8 in ThreadWeaver::Thread::run (this=0x30b4790) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007fbc6ad95e15 in QThreadPrivate::start (arg=0x30b4790) at thread/qthread_unix.cpp:248
#11 0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fbc035a9710 (LWP 7842)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fbc6ad96e6b in wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2472200, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbc66f56e56 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x28902c0, th=0x7fbc0403fda0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbc66f596fb in ThreadWeaver::WorkingHardState::applyForWork (this=0x288f740, th=0x7fbc0403fda0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbc66f57c7f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc035a8e10, parent=0x28902c0, th=0x7fbc0403fda0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fbc66f581d8 in ThreadWeaver::Thread::run (this=0x7fbc0403fda0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fbc6ad95e15 in QThreadPrivate::start (arg=0x7fbc0403fda0) at thread/qthread_unix.cpp:248
#8  0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fbc20cf7710 (LWP 7987)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fbc69824458 in _L_lock_9590 () from /lib/libc.so.6
#2  0x00007fbc69822841 in __libc_free (mem=0x7fbc69b08e40) at malloc.c:3737
#3  0x00007fbc552594a8 in ?? () from /usr/lib/libvlccore.so.4
#4  0x00007fbc552a39e3 in vlc_object_release () from /usr/lib/libvlccore.so.4
#5  0x00007fbc5525cb31 in ?? () from /usr/lib/libvlccore.so.4
#6  0x00007fbc5523d56d in ?? () from /usr/lib/libvlccore.so.4
#7  0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#8  0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbc001f6710 (LWP 7988)):
[KCrash Handler]
#6  0x00007fbc6981ddfc in malloc_consolidate (av=0x7fbc69b08e40) at malloc.c:5145
#7  0x00007fbc69820254 in _int_malloc (av=0x7fbc69b08e40, bytes=1184) at malloc.c:4373
#8  0x00007fbc69822930 in __libc_malloc (bytes=1184) at malloc.c:3661
#9  0x00007fbc5528df5c in block_Alloc () from /usr/lib/libvlccore.so.4
#10 0x00007fbc5526178c in stream_Block () from /usr/lib/libvlccore.so.4
#11 0x00007fbc39f263c9 in ?? () from /usr/lib/vlc/plugins/demux/libes_plugin.so
#12 0x00007fbc5525e55c in ?? () from /usr/lib/libvlccore.so.4
#13 0x00007fbc5525ed75 in ?? () from /usr/lib/libvlccore.so.4
#14 0x00007fbc55296e34 in ?? () from /usr/lib/libvlccore.so.4
#15 0x00007fbc65f0e8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#16 0x00007fbc6987b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbc6c968780 (LWP 7812)):
#0  0x00007fbc69870113 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbc628d78ca in ?? () from /usr/lib/libxcb.so.1
#2  0x00007fbc628d9c0c in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#3  0x00007fbc68e41804 in _XReply () from /usr/lib/libX11.so.6
#4  0x00007fbc68e1da67 in XGetImage () from /usr/lib/libX11.so.6
#5  0x00007fbc6a31f8c0 in QX11PixmapData::toImage (this=0x33242e0) at image/qpixmap_x11.cpp:1492
#6  0x00007fbc6a307a10 in QPixmap::toImage (this=0x2fb34d0) at image/qpixmap.cpp:486
#7  0x00007fbc6a34f4a3 in image (this=<value optimized out>) at painting/qbrush.cpp:208
#8  QBrush::textureImage (this=<value optimized out>) at painting/qbrush.cpp:785
#9  0x00007fbc6a3f9a1f in QSpanData::setup (this=0x32f3030, brush=..., alpha=<value optimized out>, compositionMode=<value optimized out>) at painting/qpaintengine_raster.cpp:5078
#10 0x00007fbc6a3faaba in QRasterPaintEngine::updateBrush (this=0x2abb880, brush=...) at painting/qpaintengine_raster.cpp:868
#11 0x00007fbc6a3fadba in ensureBrush (this=0x2abb880, path=..., brush=...) at painting/qpaintengine_raster_p.h:268
#12 QRasterPaintEngine::fill (this=0x2abb880, path=..., brush=...) at painting/qpaintengine_raster.cpp:1799
#13 0x00007fbc6a370d45 in QPaintEngineEx::draw (this=0x7fffbc010820, path=...) at painting/qpaintengineex.cpp:598
#14 0x00007fbc6a380e6a in QPainterPrivate::draw_helper (this=0x33709f0, originalPath=..., op=<value optimized out>) at painting/qpainter.cpp:458
#15 0x00007fbc6a383cd0 in QPainter::drawRects (this=<value optimized out>, rects=<value optimized out>, rectCount=1) at painting/qpainter.cpp:3509
#16 0x00007fbc6a385e2e in drawRect (this=0x7fffbc0129b0, r=<value optimized out>, pm=..., sr=<value optimized out>) at ../../include/QtGui/../../src/gui/painting/qpainter.h:611
#17 QPainter::drawPixmap (this=0x7fffbc0129b0, r=<value optimized out>, pm=..., sr=<value optimized out>) at painting/qpainter.cpp:5419
#18 0x00007fbc6b940dd6 in Playlist::PrettyItemDelegate::paintItem (this=<value optimized out>, config=<value optimized out>, painter=<value optimized out>, option=<value optimized out>, index=..., ignoreMarkers=<value optimized out>) at ../../src/playlist/view/listview/PrettyItemDelegate.cpp:438
#19 0x00007fbc6b941f3e in Playlist::PrettyItemDelegate::paint (this=<value optimized out>, painter=0x7fffbc0129b0, option=..., index=...) at ../../src/playlist/view/listview/PrettyItemDelegate.cpp:137
#20 0x00007fbc6a77132a in QListView::paintEvent (this=<value optimized out>, e=<value optimized out>) at itemviews/qlistview.cpp:1044
#21 0x00007fbc6b944120 in Playlist::PrettyListView::paintEvent (this=0x253c960, event=0x7fffbc013640) at ../../src/playlist/view/listview/PrettyListView.cpp:637
#22 0x00007fbc6a27b212 in QWidget::event (this=0x253c960, event=0x7fffbc013640) at kernel/qwidget.cpp:8190
#23 0x00007fbc6a6226f6 in QFrame::event (this=0x253c960, e=0x7fffbc013640) at widgets/qframe.cpp:557
#24 0x00007fbc6a752d9b in QAbstractItemView::viewportEvent (this=0x253c960, event=0x7fffbc013640) at itemviews/qabstractitemview.cpp:1615
#25 0x00007fbc6ae844d7 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x253ca20, event=0x7fffbc013640) at kernel/qcoreapplication.cpp:841
#26 0x00007fbc6a2252fc in QApplicationPrivate::notify_helper (this=0x1920690, receiver=0x253ca20, e=0x7fffbc013640) at kernel/qapplication.cpp:4298
#27 0x00007fbc6a22b80b in QApplication::notify (this=0x7fffbc0161d0, receiver=0x253ca20, e=0x7fffbc013640) at kernel/qapplication.cpp:4185
#28 0x00007fbc6c487b66 in KApplication::notify (this=0x7fffbc0161d0, receiver=0x253ca20, event=0x7fffbc013640) at ../../kdeui/kernel/kapplication.cpp:310
#29 0x00007fbc6ae850bc in QCoreApplication::notifyInternal (this=0x7fffbc0161d0, receiver=0x253ca20, event=0x7fffbc013640) at kernel/qcoreapplication.cpp:726
#30 0x00007fbc6a28380d in sendSpontaneousEvent (this=0x2546fe0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24161d0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#31 QWidgetPrivate::drawWidget (this=0x2546fe0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5363
#32 0x00007fbc6a2844a8 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=0, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5476
#33 0x00007fbc6a2842d9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=8, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5463
#34 0x00007fbc6a28356a in QWidgetPrivate::drawWidget (this=0x2546bb0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5412
#35 0x00007fbc6a2844a8 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5476
#36 0x00007fbc6a28356a in QWidgetPrivate::drawWidget (this=0x253e360, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5412
#37 0x00007fbc6a2844a8 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=5, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5476
#38 0x00007fbc6a28356a in QWidgetPrivate::drawWidget (this=0x2513bb0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5412
#39 0x00007fbc6a2844a8 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=6, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5476
#40 0x00007fbc6a28356a in QWidgetPrivate::drawWidget (this=0x227e6f0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5412
#41 0x00007fbc6a2844a8 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=63, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5476
#42 0x00007fbc6a2842d9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=64, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5463
#43 0x00007fbc6a2842d9 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=74, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5463
#44 0x00007fbc6a28356a in QWidgetPrivate::drawWidget (this=0x1e45a50, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24161d0) at kernel/qwidget.cpp:5412
#45 0x00007fbc6a43d9e5 in QWidgetBackingStore::sync (this=0x24161d0) at painting/qbackingstore.cpp:1300
#46 0x00007fbc6a275170 in QWidgetPrivate::syncBackingStore (this=0x1e45a50) at kernel/qwidget.cpp:1688
#47 0x00007fbc6a27b915 in QWidget::event (this=0x1e44660, event=0x34625e0) at kernel/qwidget.cpp:8337
#48 0x00007fbc6a63e0db in QMainWindow::event (this=0x1e44660, event=0x34625e0) at widgets/qmainwindow.cpp:1414
#49 0x00007fbc6a22532c in QApplicationPrivate::notify_helper (this=0x1920690, receiver=0x1e44660, e=0x34625e0) at kernel/qapplication.cpp:4302
#50 0x00007fbc6a22b80b in QApplication::notify (this=0x7fffbc0161d0, receiver=0x1e44660, e=0x34625e0) at kernel/qapplication.cpp:4185
#51 0x00007fbc6c487b66 in KApplication::notify (this=0x7fffbc0161d0, receiver=0x1e44660, event=0x34625e0) at ../../kdeui/kernel/kapplication.cpp:310
#52 0x00007fbc6ae850bc in QCoreApplication::notifyInternal (this=0x7fffbc0161d0, receiver=0x1e44660, event=0x34625e0) at kernel/qcoreapplication.cpp:726
#53 0x00007fbc6ae88764 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x17d0a10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#54 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x17d0a10) at kernel/qcoreapplication.cpp:1367
#55 0x00007fbc6aeaeb93 in sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#56 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#57 0x00007fbc63a816c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#58 0x00007fbc63a85538 in ?? () from /lib/libglib-2.0.so.0
#59 0x00007fbc63a856ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#60 0x00007fbc6aeae6d3 in QEventDispatcherGlib::processEvents (this=0x17d0270, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#61 0x00007fbc6a2d518e in QGuiEventDispatcherGlib::processEvents (this=0x7fffbc010820, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#62 0x00007fbc6ae839e2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#63 0x00007fbc6ae83dbc in QEventLoop::exec (this=0x7fffbc016170, flags=) at kernel/qeventloop.cpp:201
#64 0x00007fbc6ae88a4b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#65 0x0000000000408712 in main (argc=1, argv=0x7fffbc018148) at ../../src/main.cpp:237

This bug may be a duplicate of or related to bug 240001.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-09-21 14:36:55 UTC
Sorry, but your backtrace is not useful as you lack debugging symbols for libvlc. In Debian, you should install the phonon-dbg and vlc-dbg packages.
Comment 2 Waldo Cancino 2010-09-21 22:25:12 UTC
After install these packages, I obtained the following backtrace, hope it is
useful

-- Backtrace:
Application: Amarok (amarok), signal: Aborted
__lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7fd265e1a780 (LWP 3036))]

Thread 11 (Thread 0x7fd2191a0710 (LWP 3041)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fd24c4615f2 in LoopRequest (data=<value optimized out>) at
playlist/thread.c:539
#2  Thread (data=<value optimized out>) at playlist/thread.c:586
#3  0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#4  0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fd20fffe710 (LWP 3047)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fd26424ee6b in wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fd260410e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x2950390, th=0x29509a0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fd2604136fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x29509a0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fd260413714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x29509a0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fd260411c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7fd20fffde10, parent=0x2950390, th=0x29509a0) at
../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fd2604121d8 in ThreadWeaver::Thread::run (this=0x29509a0) at
../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fd26424de15 in QThreadPrivate::start (arg=0x29509a0) at
thread/qthread_unix.cpp:248
#9  0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#10 0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fd218cce710 (LWP 3048)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fd25a102556 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007fd25a102599 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#4  0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fd20ce8c710 (LWP 3049)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fd26424ee6b in wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fd260410e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x2950390, th=0x2a7d4e0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fd2604136fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x2a7d4e0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fd260411c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7fd20ce8be10, parent=0x2950390, th=0x2a7d4e0) at
../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fd2604121d8 in ThreadWeaver::Thread::run (this=0x2a7d4e0) at
../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fd26424de15 in QThreadPrivate::start (arg=0x2a7d4e0) at
thread/qthread_unix.cpp:248
#8  0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#9  0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fd20c68b710 (LWP 3050)):
#0  __lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fd262cdc458 in _L_lock_9590 () from /lib/libc.so.6
#2  0x00007fd262cda841 in __libc_free (mem=0x7fd262fc0e40) at malloc.c:3737
#3  0x00007fd25cf3afba in ?? () from /lib/libglib-2.0.so.0
#4  0x00007fd2643671b3 in QEventDispatcherGlib::~QEventDispatcherGlib
(this=0x2a7e710, __in_chrg=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:366
#5  0x00007fd26424da04 in QThreadPrivate::finish (arg=<value optimized out>)
at thread/qthread_unix.cpp:284
#6  0x00007fd26424de1d in ~__pthread_cleanup_class (arg=0x7fd2646548c0) at
/usr/include/pthread.h:535
#7  QThreadPrivate::start (arg=0x7fd2646548c0) at
thread/qthread_unix.cpp:253
#8  0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#9  0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fd20b1d7710 (LWP 3065)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fd25fc76356 in QTWTF::TCMalloc_PageHeap::scavengerThread
(this=0x7fd25ff541e0) at
../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007fd25fc76399 in QTWTF::TCMalloc_PageHeap::runScavengerThread
(context=0x7fd25ff622ac) at
../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#4  0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fd200898710 (LWP 3076)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fd26424ee6b in wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fd260410e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x2950390, th=0x3263130) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fd2604136fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x3263130) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fd260413714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x3263130) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fd260411c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7fd200897e10, parent=0x2950390, th=0x3263130) at
../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fd2604121d8 in ThreadWeaver::Thread::run (this=0x3263130) at
../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fd26424de15 in QThreadPrivate::start (arg=0x3263130) at
thread/qthread_unix.cpp:248
#9  0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#10 0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fd1fbfff710 (LWP 3077)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fd26424ee6b in wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29639d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fd260410e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x2950390, th=0x7fd1fc0055e0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fd2604136fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x7fd1fc0055e0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fd260413714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x7fd1fc0055e0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fd260413714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x7fd1fc0055e0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fd260413714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2950730, th=0x7fd1fc0055e0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007fd260411c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7fd1fbffee10, parent=0x2950390, th=0x7fd1fc0055e0) at
../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007fd2604121d8 in ThreadWeaver::Thread::run (this=0x7fd1fc0055e0) at
../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007fd26424de15 in QThreadPrivate::start (arg=0x7fd1fc0055e0) at
thread/qthread_unix.cpp:248
#11 0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#12 0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fd201fba710 (LWP 3355)):
[KCrash Handler]
#6  0x00007fd262c96165 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fd262c98f70 in abort () at abort.c:92
#8  0x00007fd262ccc27b in __libc_message (do_abort=<value optimized out>,
fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007fd262cd5ad6 in malloc_printerr (action=3, str=0x7fd262d8ca60
"double free or corruption (fasttop)", ptr=<value optimized out>) at
malloc.c:6267
#10 0x00007fd262cda84c in __libc_free (mem=<value optimized out>) at
malloc.c:3739
#11 0x00007fd2601c4071 in TagLib::String::to8Bit(bool) const () from
/usr/lib/libtag.so.1
#12 0x00007fd2601c45de in TagLib::String::toCString(bool) const () from
/usr/lib/libtag.so.1
#13 0x00007fd23b8cae04 in ReadMeta (p_this=<value optimized out>) at
taglib.cpp:407
#14 0x00007fd24c4bb007 in module_need (p_this=0x7fd1fc06be10,
psz_capability=<value optimized out>, psz_name=<value optimized out>,
b_strict=<value optimized out>) at modules/modules.c:559
#15 0x00007fd24c4828c7 in InputSourceMeta (p_input=0x32c0530,
p_source=<value optimized out>, p_meta=0x7fd1fc06fb20) at input/input.c:2751
#16 0x00007fd24c48587d in Init (p_input=0x32c0530) at input/input.c:1287
#17 0x00007fd24c486b35 in input_Preparse (p_parent=<value optimized out>,
p_item=<value optimized out>) at input/input.c:195
#18 0x00007fd24c46757d in Preparse (data=<value optimized out>) at
playlist/preparser.c:140
#19 Thread (data=<value optimized out>) at playlist/preparser.c:220
#20 0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#21 0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#22 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fd21909f710 (LWP 3356)):
#0  __lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fd262cdc458 in _L_lock_9590 () from /lib/libc.so.6
#2  0x00007fd262cda841 in __libc_free (mem=0x7fd262fc0e40) at malloc.c:3737
#3  0x00007fd24c46c871 in input_item_SetName (p_item=0x2a8aad0,
psz_name=0x7fd2140953c0 "JAPANESE BOY") at input/item.c:345
#4  0x00007fd24c47b884 in EsOutMeta (out=<value optimized out>,
i_query=<value optimized out>, args=<value optimized out>) at
input/es_out.c:1418
#5  EsOutControlLocked (out=<value optimized out>, i_query=<value optimized
out>, args=<value optimized out>) at input/es_out.c:2478
#6  EsOutControl (out=<value optimized out>, i_query=<value optimized out>,
args=<value optimized out>) at input/es_out.c:2702
#7  0x00007fd24c47fa7e in es_out_vaControl (out=0x7fd214071e70, i_query=128)
at ../include/vlc_es_out.h:126
#8  es_out_Control (out=0x7fd214071e70, i_query=128) at
../include/vlc_es_out.h:135
#9  0x00007fd24c48058e in ControlLocked (p_out=0x31e0ef0, i_query=-66915664,
args=0x7fd21909ec00) at input/es_out_timeshift.c:620
#10 Control (p_out=0x31e0ef0, i_query=-66915664, args=0x7fd21909ec00) at
input/es_out_timeshift.c:718
#11 0x00007fd24c48244e in es_out_vaControl (out=0x7fd214071e70, i_query=128)
at ../include/vlc_es_out.h:126
#12 es_out_Control (out=0x7fd214071e70, i_query=128) at
../include/vlc_es_out.h:135
#13 0x00007fd24c4827cb in es_out_ControlSetMeta (p_input=<value optimized
out>, p_meta=0x7fd1fc02f2b0) at ../include/vlc_es_out.h:147
#14 InputUpdateMeta (p_input=<value optimized out>, p_meta=0x7fd1fc02f2b0)
at input/input.c:2899
#15 0x00007fd24c4858c3 in Init (p_input=0x7fd214002ef0) at
input/input.c:1294
#16 0x00007fd24c488d15 in Run (p_this=<value optimized out>) at
input/input.c:537
#17 0x00007fd24c4c0e44 in thread_entry (data=<value optimized out>) at
misc/threads.c:58
#18 0x00007fd25f3c88ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#19 0x00007fd262d3302d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fd265e1a780 (LWP 3036)):
#0  __lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fd262cdc458 in _L_lock_9590 () from /lib/libc.so.6
#2  0x00007fd262cda841 in __libc_free (mem=0x7fd262fc0e40) at malloc.c:3737
#3  0x00007fd26383483b in free (this=<value optimized out>) at
../../include/QtCore/../../src/corelib/tools/qvector.h:96
#4  free (this=<value optimized out>) at
../../include/QtCore/../../src/corelib/tools/qvector.h:438
#5  operator= (this=<value optimized out>) at
../../include/QtCore/../../src/corelib/tools/qvector.h:381
#6  clear (this=<value optimized out>) at
../../include/QtCore/../../src/corelib/tools/qvector.h:335
#7  qt_cleanup_painter_state (this=<value optimized out>) at
painting/qpainter.cpp:1701
#8  QPainter::end (this=<value optimized out>) at painting/qpainter.cpp:1964
#9  0x00007fd263838e72 in QPainterPrivate::draw_helper (this=0x7fd214053dd0,
originalPath=..., op=<value optimized out>) at painting/qpainter.cpp:475
#10 0x00007fd26383bcd0 in QPainter::drawRects (this=<value optimized out>,
rects=<value optimized out>, rectCount=1) at painting/qpainter.cpp:3509
#11 0x00007fd26383de2e in drawRect (this=0x7fffe2de6e50, r=<value optimized
out>, pm=..., sr=<value optimized out>) at
../../include/QtGui/../../src/gui/painting/qpainter.h:611
#12 QPainter::drawPixmap (this=0x7fffe2de6e50, r=<value optimized out>,
pm=..., sr=<value optimized out>) at painting/qpainter.cpp:5419
#13 0x00007fd264df8dd6 in Playlist::PrettyItemDelegate::paintItem
(this=<value optimized out>, config=<value optimized out>, painter=<value
optimized out>, option=<value optimized out>, index=...,
ignoreMarkers=<value optimized out>) at
../../src/playlist/view/listview/PrettyItemDelegate.cpp:438
#14 0x00007fd264df9f3e in Playlist::PrettyItemDelegate::paint (this=<value
optimized out>, painter=0x7fffe2de6e50, option=..., index=...) at
../../src/playlist/view/listview/PrettyItemDelegate.cpp:137
#15 0x00007fd263c2932a in QListView::paintEvent (this=<value optimized out>,
e=<value optimized out>) at itemviews/qlistview.cpp:1044
#16 0x00007fd264dfc120 in Playlist::PrettyListView::paintEvent
(this=0x25d4ce0, event=0x7fffe2de7ae0) at
../../src/playlist/view/listview/PrettyListView.cpp:637
#17 0x00007fd263733212 in QWidget::event (this=0x25d4ce0,
event=0x7fffe2de7ae0) at kernel/qwidget.cpp:8190
#18 0x00007fd263ada6f6 in QFrame::event (this=0x25d4ce0, e=0x7fffe2de7ae0)
at widgets/qframe.cpp:557
#19 0x00007fd263c0ad9b in QAbstractItemView::viewportEvent (this=0x25d4ce0,
event=0x7fffe2de7ae0) at itemviews/qabstractitemview.cpp:1615
#20 0x00007fd26433c4d7 in
QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value
optimized out>, receiver=0x25d4d80, event=0x7fffe2de7ae0) at
kernel/qcoreapplication.cpp:841
#21 0x00007fd2636dd2fc in QApplicationPrivate::notify_helper
(this=0x19509c0, receiver=0x25d4d80, e=0x7fffe2de7ae0) at
kernel/qapplication.cpp:4298
#22 0x00007fd2636e380b in QApplication::notify (this=0x7fffe2dea670,
receiver=0x25d4d80, e=0x7fffe2de7ae0) at kernel/qapplication.cpp:4185
#23 0x00007fd26593fb66 in KApplication::notify (this=0x7fffe2dea670,
receiver=0x25d4d80, event=0x7fffe2de7ae0) at
../../kdeui/kernel/kapplication.cpp:310
#24 0x00007fd26433d0bc in QCoreApplication::notifyInternal
(this=0x7fffe2dea670, receiver=0x25d4d80, event=0x7fffe2de7ae0) at
kernel/qcoreapplication.cpp:726
#25 0x00007fd26373b80d in sendSpontaneousEvent (this=0x25d6a60, pdev=<value
optimized out>, rgn=..., offset=<value optimized out>, flags=<value
optimized out>, sharedPainter=0x0, backingStore=0x24e02d0) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#26 QWidgetPrivate::drawWidget (this=0x25d6a60, pdev=<value optimized out>,
rgn=..., offset=<value optimized out>, flags=<value optimized out>,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5363
#27 0x00007fd26373c4a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=0, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5476
#28 0x00007fd26373c2d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=8, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5463
#29 0x00007fd26373b56a in QWidgetPrivate::drawWidget (this=0x25df220,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24e02d0) at
kernel/qwidget.cpp:5412
#30 0x00007fd26373c4a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=1, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5476
#31 0x00007fd26373b56a in QWidgetPrivate::drawWidget (this=0x25d66e0,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24e02d0) at
kernel/qwidget.cpp:5412
#32 0x00007fd26373c4a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=5, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5476
#33 0x00007fd26373b56a in QWidgetPrivate::drawWidget (this=0x24dca80,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24e02d0) at
kernel/qwidget.cpp:5412
#34 0x00007fd26373c4a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=6, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5476
#35 0x00007fd26373b56a in QWidgetPrivate::drawWidget (this=0x23167f0,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24e02d0) at
kernel/qwidget.cpp:5412
#36 0x00007fd26373c4a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=63, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5476
#37 0x00007fd26373c2d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=64, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5463
#38 0x00007fd26373c2d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=74, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x24e02d0) at kernel/qwidget.cpp:5463
#39 0x00007fd26373b56a in QWidgetPrivate::drawWidget (this=0x1ee65d0,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x24e02d0) at
kernel/qwidget.cpp:5412
#40 0x00007fd2638f59e5 in QWidgetBackingStore::sync (this=0x24e02d0) at
painting/qbackingstore.cpp:1300
#41 0x00007fd26372d170 in QWidgetPrivate::syncBackingStore (this=0x1ee65d0)
at kernel/qwidget.cpp:1688
#42 0x00007fd263733915 in QWidget::event (this=0x1ee3b80, event=0x31d2b70)
at kernel/qwidget.cpp:8337
#43 0x00007fd263af60db in QMainWindow::event (this=0x1ee3b80,
event=0x31d2b70) at widgets/qmainwindow.cpp:1414
#44 0x00007fd2636dd32c in QApplicationPrivate::notify_helper
(this=0x19509c0, receiver=0x1ee3b80, e=0x31d2b70) at
kernel/qapplication.cpp:4302
#45 0x00007fd2636e380b in QApplication::notify (this=0x7fffe2dea670,
receiver=0x1ee3b80, e=0x31d2b70) at kernel/qapplication.cpp:4185
#46 0x00007fd26593fb66 in KApplication::notify (this=0x7fffe2dea670,
receiver=0x1ee3b80, event=0x31d2b70) at
../../kdeui/kernel/kapplication.cpp:310
#47 0x00007fd26433d0bc in QCoreApplication::notifyInternal
(this=0x7fffe2dea670, receiver=0x1ee3b80, event=0x31d2b70) at
kernel/qcoreapplication.cpp:726
#48 0x00007fd264340764 in sendEvent (receiver=0x0, event_type=<value
optimized out>, data=0x18008d0) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0,
event_type=<value optimized out>, data=0x18008d0) at
kernel/qcoreapplication.cpp:1367
#50 0x00007fd264366b93 in sendPostedEvents (s=<value optimized out>) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#51 postEventSourceDispatch (s=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:276
#52 0x00007fd25cf3b6c2 in g_main_context_dispatch () from
/lib/libglib-2.0.so.0
#53 0x00007fd25cf3f538 in ?? () from /lib/libglib-2.0.so.0
#54 0x00007fd25cf3f6ec in g_main_context_iteration () from
/lib/libglib-2.0.so.0
#55 0x00007fd2643666d3 in QEventDispatcherGlib::processEvents
(this=0x18004d0, flags=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:412
#56 0x00007fd26378d18e in QGuiEventDispatcherGlib::processEvents
(this=0x7fd262fc0e40, flags=<value optimized out>) at
kernel/qguieventdispatcher_glib.cpp:204
#57 0x00007fd26433b9e2 in QEventLoop::processEvents (this=<value optimized
out>, flags=) at kernel/qeventloop.cpp:149
#58 0x00007fd26433bdbc in QEventLoop::exec (this=0x7fffe2dea610, flags=) at
kernel/qeventloop.cpp:201
#59 0x00007fd264340a4b in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:1003
#60 0x0000000000408712 in main (argc=1, argv=0x7fffe2dec5e8) at
../../src/main.cpp:237


2010/9/21 Myriam Schweingruber <myriam@kde.org>

> https://bugs.kde.org/show_bug.cgi?id=251913
>
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>             Status|UNCONFIRMED                 |NEEDSINFO
>            Version|2.3.2                       |4.4.2 (KDE 4.5)
>                 CC|                            |bcooksley@kde.org,
>                   |                            |fabo@kde.org,
>                   |                            |jb@videolan.org,
>                   |                            |myriam@kde.org
>          Component|general                     |VLC backend
>         AssignedTo|amarok-bugs-dist@kde.org    |sandsmark@samfundet.no
>         Resolution|                            |BACKTRACE
>            Product|amarok                      |Phonon
>   Target Milestone|2.4                         |---
>
>
>
>
> --- Comment #1 from Myriam Schweingruber <myriam kde org>  2010-09-21
> 14:36:55 ---
> Sorry, but your backtrace is not useful as you lack debugging symbols for
> libvlc. In Debian, you should install the phonon-dbg and vlc-dbg packages.
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 3 Myriam Schweingruber 2010-09-21 23:50:04 UTC
Hm, the new backtrace looks quite different, and doesn't indicate a problem with the vlc backend. The backtrace is the same as bug 225883, which is a taglib bug.

Are you sure this is the same crash?
Comment 4 Waldo Cancino 2010-09-22 00:07:49 UTC
Well, I've read the bug 251913 description and it appears to not

be the case. When I use the xine backend, amarok just plays

well (without crashes). But when I use the phonon-vlc the crash

I described here happens each time a song ends and start another.

I was thinking about the bug 240001, but It is pulse-audio related

and I do not have pulse audio installed. So, at least in my configuration,

it appears to be something related to vlc.  For instance, now

I run the amarok and it crashes at the first song, here is the backtrace,

I should remember that this only happens with phonon-vlc.

Application: Amarok (amarok), signal: Aborted

[Current thread is 1 (Thread 0x7fa72af96780 (LWP 3527))]

Thread 9 (Thread 0x7fa6de31c710 (LWP 3532)):

#0 pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162

#1 0x00007fa7115dd5f2 in LoopRequest (data=<value optimized out>) at
playlist/thread.c:539

#2 Thread (data=<value optimized out>) at playlist/thread.c:586

#3 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#4 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#5 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa6dd649710 (LWP 3537)):

#0 pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162

#1 0x00007fa7293cae6b in wait (this=<value optimized out>, mutex=0x33f5690,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87

#2 QWaitCondition::wait (this=<value optimized out>, mutex=0x33f5690,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159

#3 0x00007fa72558ce56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x340ff60, th=0x3652880) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365

#4 0x00007fa72558f6fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x3411550, th=0x3652880) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71

#5 0x00007fa72558dc7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7fa6dd648e10, parent=0x340ff60, th=0x3652880) at
../../../threadweaver/Weaver/Thread.cpp:87

#6 0x00007fa72558e1d8 in ThreadWeaver::Thread::run (this=0x3652880) at
../../../threadweaver/Weaver/Thread.cpp:142

#7 0x00007fa7293c9e15 in QThreadPrivate::start (arg=0x3652880) at
thread/qthread_unix.cpp:248

#8 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#9 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa6dde4a710 (LWP 3538)):

#0 pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162

#1 0x00007fa71f27e556 in ?? () from /usr/lib/libQtWebKit.so.4

#2 0x00007fa71f27e599 in ?? () from /usr/lib/libQtWebKit.so.4

#3 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#4 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#5 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa6d1fc4710 (LWP 3539)):

#0 pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162

#1 0x00007fa7293cae6b in wait (this=<value optimized out>, mutex=0x33f5690,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87

#2 QWaitCondition::wait (this=<value optimized out>, mutex=0x33f5690,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159

#3 0x00007fa72558ce56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x340ff60, th=0x2df5f00) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365

#4 0x00007fa72558f6fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x3411550, th=0x2df5f00) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71

#5 0x00007fa72558dc7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7fa6d1fc3e10, parent=0x340ff60, th=0x2df5f00) at
../../../threadweaver/Weaver/Thread.cpp:87

#6 0x00007fa72558e1d8 in ThreadWeaver::Thread::run (this=0x2df5f00) at
../../../threadweaver/Weaver/Thread.cpp:142

#7 0x00007fa7293c9e15 in QThreadPrivate::start (arg=0x2df5f00) at
thread/qthread_unix.cpp:248

#8 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#9 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa6d17c3710 (LWP 3540)):

#0 __lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97

#1 0x00007fa727e58458 in _L_lock_9590 () from /lib/libc.so.6

#2 0x00007fa727e56841 in __libc_free (mem=0x7fa72813ce40) at malloc.c:3737

#3 0x00007fa7220b6fba in ?? () from /lib/libglib-2.0.so.0

#4 0x00007fa7294e31b3 in QEventDispatcherGlib::~QEventDispatcherGlib
(this=0x3733210, __in_chrg=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:366

#5 0x00007fa7293c9a04 in QThreadPrivate::finish (arg=<value optimized out>)
at thread/qthread_unix.cpp:284

#6 0x00007fa7293c9e1d in ~__pthread_cleanup_class (arg=0x7fa7297d08c0) at
/usr/include/pthread.h:535

#7 QThreadPrivate::start (arg=0x7fa7297d08c0) at thread/qthread_unix.cpp:253

#8 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#9 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa6d0fc2710 (LWP 3542)):

#0 pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162

#1 0x00007fa724df2356 in QTWTF::TCMalloc_PageHeap::scavengerThread
(this=0x7fa7250d01e0) at
../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304

#2 0x00007fa724df2399 in QTWTF::TCMalloc_PageHeap::runScavengerThread
(context=0x7fa7250de2ac) at
../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438

#3 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#4 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#5 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa6de21b710 (LWP 3545)):

#0 __lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97

#1 0x00007fa727e58458 in _L_lock_9590 () from /lib/libc.so.6

#2 0x00007fa727e56841 in __libc_free (mem=0x7fa72813ce40) at malloc.c:3737

#3 0x00007fa72533e884 in TagLib::String::~String() () from
/usr/lib/libtag.so.1

#4 0x00007fa700a46dde in ReadMeta (p_this=<value optimized out>) at
taglib.cpp:407

#5 0x00007fa711637007 in module_need (p_this=0x7fa6d800dd00,
psz_capability=<value optimized out>, psz_name=<value optimized out>,
b_strict=<value optimized out>) at modules/modules.c:559

#6 0x00007fa7115fe8c7 in InputSourceMeta (p_input=0x3d92a40, p_source=<value
optimized out>, p_meta=0x7fa6d800dba0) at input/input.c:2751

#7 0x00007fa71160187d in Init (p_input=0x3d92a40) at input/input.c:1287

#8 0x00007fa711602b35 in input_Preparse (p_parent=<value optimized out>,
p_item=<value optimized out>) at input/input.c:195

#9 0x00007fa7115e357d in Preparse (data=<value optimized out>) at
playlist/preparser.c:140

#10 Thread (data=<value optimized out>) at playlist/preparser.c:220

#11 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#12 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa6c83a2710 (LWP 3546)):

[KCrash Handler]

#6 0x00007fa727e12165 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64

#7 0x00007fa727e14f70 in abort () at abort.c:92

#8 0x00007fa727e4827b in __libc_message (do_abort=<value optimized out>,
fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189

#9 0x00007fa727e51ad6 in malloc_printerr (action=3, str=0x7fa727f08a60
"double free or corruption (fasttop)", ptr=<value optimized out>) at
malloc.c:6267

#10 0x00007fa727e5684c in __libc_free (mem=<value optimized out>) at
malloc.c:3739

#11 0x00007fa72533e884 in TagLib::String::~String() () from
/usr/lib/libtag.so.1

#12 0x00007fa700a46dde in ReadMeta (p_this=<value optimized out>) at
taglib.cpp:407

#13 0x00007fa711637007 in module_need (p_this=0x7fa6c4002120,
psz_capability=<value optimized out>, psz_name=<value optimized out>,
b_strict=<value optimized out>) at modules/modules.c:559

#14 0x00007fa7115fe8c7 in InputSourceMeta (p_input=0x7fa6d8007e30,
p_source=<value optimized out>, p_meta=0x7fa6c4001f10) at input/input.c:2751

#15 0x00007fa71160187d in Init (p_input=0x7fa6d8007e30) at
input/input.c:1287

#16 0x00007fa711604d15 in Run (p_this=<value optimized out>) at
input/input.c:537

#17 0x00007fa71163ce44 in thread_entry (data=<value optimized out>) at
misc/threads.c:58

#18 0x00007fa7245448ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300

#19 0x00007fa727eaf02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112

#20 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa72af96780 (LWP 3527)):

#0 0x00007fa727ea4113 in __poll (fds=<value optimized out>, nfds=<value
optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87

#1 0x00007fa720f0d8ca in ?? () from /usr/lib/libxcb.so.1

#2 0x00007fa720f0fc0c in xcb_wait_for_reply () from /usr/lib/libxcb.so.1

#3 0x00007fa727475804 in _XReply () from /usr/lib/libX11.so.6

#4 0x00007fa727451a67 in XGetImage () from /usr/lib/libX11.so.6

#5 0x00007fa7289538c0 in QX11PixmapData::toImage (this=0x3bf3aa0) at
image/qpixmap_x11.cpp:1492

#6 0x00007fa72893ba10 in QPixmap::toImage (this=0x3d3b920) at
image/qpixmap.cpp:486

#7 0x00007fa7289834a3 in image (this=<value optimized out>) at
painting/qbrush.cpp:208

#8 QBrush::textureImage (this=<value optimized out>) at
painting/qbrush.cpp:785

#9 0x00007fa728a2da1f in QSpanData::setup (this=0x7fa6c401d210, brush=...,
alpha=<value optimized out>, compositionMode=<value optimized out>) at
painting/qpaintengine_raster.cpp:5078

#10 0x00007fa728a2eaba in QRasterPaintEngine::updateBrush (this=0x3d3b780,
brush=...) at painting/qpaintengine_raster.cpp:868

#11 0x00007fa728a2edba in ensureBrush (this=0x3d3b780, path=..., brush=...)
at painting/qpaintengine_raster_p.h:268

#12 QRasterPaintEngine::fill (this=0x3d3b780, path=..., brush=...) at
painting/qpaintengine_raster.cpp:1799

#13 0x00007fa7289a4d45 in QPaintEngineEx::draw (this=0x7fff2e336160,
path=...) at painting/qpaintengineex.cpp:598

#14 0x00007fa7289b4e6a in QPainterPrivate::draw_helper (this=0x3d98c10,
originalPath=..., op=<value optimized out>) at painting/qpainter.cpp:458

#15 0x00007fa7289b7cd0 in QPainter::drawRects (this=<value optimized out>,
rects=<value optimized out>, rectCount=1) at painting/qpainter.cpp:3509

#16 0x00007fa7289b9e2e in drawRect (this=0x7fff2e3382f0, r=<value optimized
out>, pm=..., sr=<value optimized out>) at
../../include/QtGui/../../src/gui/painting/qpainter.h:611

#17 QPainter::drawPixmap (this=0x7fff2e3382f0, r=<value optimized out>,
pm=..., sr=<value optimized out>) at painting/qpainter.cpp:5419

#18 0x00007fa729f74dd6 in Playlist::PrettyItemDelegate::paintItem
(this=<value optimized out>, config=<value optimized out>, painter=<value
optimized out>, option=<value optimized out>, index=...,
ignoreMarkers=<value optimized out>) at
../../src/playlist/view/listview/PrettyItemDelegate.cpp:438

#19 0x00007fa729f75f3e in Playlist::PrettyItemDelegate::paint (this=<value
optimized out>, painter=0x7fff2e3382f0, option=..., index=...) at
../../src/playlist/view/listview/PrettyItemDelegate.cpp:137

#20 0x00007fa728da532a in QListView::paintEvent (this=<value optimized out>,
e=<value optimized out>) at itemviews/qlistview.cpp:1044

#21 0x00007fa729f78120 in Playlist::PrettyListView::paintEvent
(this=0x31dc410, event=0x7fff2e338f80) at
../../src/playlist/view/listview/PrettyListView.cpp:637

#22 0x00007fa7288af212 in QWidget::event (this=0x31dc410,
event=0x7fff2e338f80) at kernel/qwidget.cpp:8190

#23 0x00007fa728c566f6 in QFrame::event (this=0x31dc410, e=0x7fff2e338f80)
at widgets/qframe.cpp:557

#24 0x00007fa728d86d9b in QAbstractItemView::viewportEvent (this=0x31dc410,
event=0x7fff2e338f80) at itemviews/qabstractitemview.cpp:1615

#25 0x00007fa7294b84d7 in
QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value
optimized out>, receiver=0x31dc4b0, event=0x7fff2e338f80) at
kernel/qcoreapplication.cpp:841

#26 0x00007fa7288592fc in QApplicationPrivate::notify_helper
(this=0x25c29c0, receiver=0x31dc4b0, e=0x7fff2e338f80) at
kernel/qapplication.cpp:4298

#27 0x00007fa72885f80b in QApplication::notify (this=0x7fff2e33c5b0,
receiver=0x31dc4b0, e=0x7fff2e338f80) at kernel/qapplication.cpp:4185

#28 0x00007fa72aabbb66 in KApplication::notify (this=0x7fff2e33c5b0,
receiver=0x31dc4b0, event=0x7fff2e338f80) at
../../kdeui/kernel/kapplication.cpp:310

#29 0x00007fa7294b90bc in QCoreApplication::notifyInternal
(this=0x7fff2e33c5b0, receiver=0x31dc4b0, event=0x7fff2e338f80) at
kernel/qcoreapplication.cpp:726

#30 0x00007fa7288b780d in sendSpontaneousEvent (this=0x31de190, pdev=<value
optimized out>, rgn=..., offset=<value optimized out>, flags=<value
optimized out>, sharedPainter=0x0, backingStore=0x30b6290) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218

#31 QWidgetPrivate::drawWidget (this=0x31de190, pdev=<value optimized out>,
rgn=..., offset=<value optimized out>, flags=<value optimized out>,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5363

#32 0x00007fa7288b84a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=0, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5476

#33 0x00007fa7288b82d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=8, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5463

#34 0x00007fa7288b756a in QWidgetPrivate::drawWidget (this=0x31e69e0,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x30b6290) at
kernel/qwidget.cpp:5412

#35 0x00007fa7288b84a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=1, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5476

#36 0x00007fa7288b756a in QWidgetPrivate::drawWidget (this=0x31dde10,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x30b6290) at
kernel/qwidget.cpp:5412

#37 0x00007fa7288b84a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=5, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5476

#38 0x00007fa7288b756a in QWidgetPrivate::drawWidget (this=0x31c9f20,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x30b6290) at
kernel/qwidget.cpp:5412

#39 0x00007fa7288b84a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=6, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5476

#40 0x00007fa7288b756a in QWidgetPrivate::drawWidget (this=0x2f1d8a0,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x30b6290) at
kernel/qwidget.cpp:5412

#41 0x00007fa7288b84a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=63, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5476

#42 0x00007fa7288b82d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=64, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5463

#43 0x00007fa7288b82d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=74, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x30b6290) at kernel/qwidget.cpp:5463

#44 0x00007fa7288b756a in QWidgetPrivate::drawWidget (this=0x2ae7610,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x30b6290) at
kernel/qwidget.cpp:5412

#45 0x00007fa728a719e5 in QWidgetBackingStore::sync (this=0x30b6290) at
painting/qbackingstore.cpp:1300

#46 0x00007fa7288a9170 in QWidgetPrivate::syncBackingStore (this=0x2ae7610)
at kernel/qwidget.cpp:1688

#47 0x00007fa7288af915 in QWidget::event (this=0x2ae3470, event=0x3d0d230)
at kernel/qwidget.cpp:8337

#48 0x00007fa728c720db in QMainWindow::event (this=0x2ae3470,
event=0x3d0d230) at widgets/qmainwindow.cpp:1414

#49 0x00007fa72885932c in QApplicationPrivate::notify_helper
(this=0x25c29c0, receiver=0x2ae3470, e=0x3d0d230) at
kernel/qapplication.cpp:4302

#50 0x00007fa72885f80b in QApplication::notify (this=0x7fff2e33c5b0,
receiver=0x2ae3470, e=0x3d0d230) at kernel/qapplication.cpp:4185

#51 0x00007fa72aabbb66 in KApplication::notify (this=0x7fff2e33c5b0,
receiver=0x2ae3470, event=0x3d0d230) at
../../kdeui/kernel/kapplication.cpp:310

#52 0x00007fa7294b90bc in QCoreApplication::notifyInternal
(this=0x7fff2e33c5b0, receiver=0x2ae3470, event=0x3d0d230) at
kernel/qcoreapplication.cpp:726

#53 0x00007fa7294bc764 in sendEvent (receiver=0x2ae3470, event_type=<value
optimized out>, data=0x24728d0) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215

#54 QCoreApplicationPrivate::sendPostedEvents (receiver=0x2ae3470,
event_type=<value optimized out>, data=0x24728d0) at
kernel/qcoreapplication.cpp:1367

#55 0x00007fa728e8487a in dispatchPendingUpdateRequests (this=0x32035b0) at
../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:184

#56 QGraphicsScenePrivate::_q_processDirtyItems (this=0x32035b0) at
graphicsview/qgraphicsscene.cpp:509

#57 0x00007fa728e84e02 in QGraphicsScene::qt_metacall (this=0x32025e0,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x3d3b140)
at .moc/release-shared/moc_qgraphicsscene.cpp:130

#58 0x00007fa725b4afd5 in Plasma::Corona::qt_metacall (this=0x7fff2e336160,
_c=QMetaObject::ReadProperty, _id=-1, _a=0xffffffffffffffff) at
./corona.moc:109

#59 0x00007fa729e7a0f0 in Context::ContextScene::qt_metacall
(this=0x7fff2e336160, _c=QMetaObject::ReadProperty, _id=-1,
_a=0xffffffffffffffff) at ./ContextScene.moc:70

#60 0x00007fa7294c8e49 in QObject::event (this=0x32025e0, e=0x2734ea0) at
kernel/qobject.cpp:1248

#61 0x00007fa728e80a90 in QGraphicsScene::event (this=0x32025e0,
event=0x2734ea0) at graphicsview/qgraphicsscene.cpp:3509

#62 0x00007fa72885932c in QApplicationPrivate::notify_helper
(this=0x25c29c0, receiver=0x32025e0, e=0x2734ea0) at
kernel/qapplication.cpp:4302

#63 0x00007fa72885f80b in QApplication::notify (this=0x7fff2e33c5b0,
receiver=0x32025e0, e=0x2734ea0) at kernel/qapplication.cpp:4185

#64 0x00007fa72aabbb66 in KApplication::notify (this=0x7fff2e33c5b0,
receiver=0x32025e0, event=0x2734ea0) at
../../kdeui/kernel/kapplication.cpp:310

#65 0x00007fa7294b90bc in QCoreApplication::notifyInternal
(this=0x7fff2e33c5b0, receiver=0x32025e0, event=0x2734ea0) at
kernel/qcoreapplication.cpp:726

#66 0x00007fa7294bc764 in sendEvent (receiver=0x0, event_type=<value
optimized out>, data=0x24728d0) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215

#67 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0,
event_type=<value optimized out>, data=0x24728d0) at
kernel/qcoreapplication.cpp:1367

#68 0x00007fa7294e2b93 in sendPostedEvents (s=<value optimized out>) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220

#69 postEventSourceDispatch (s=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:276

#70 0x00007fa7220b76c2 in g_main_context_dispatch () from
/lib/libglib-2.0.so.0

#71 0x00007fa7220bb538 in ?? () from /lib/libglib-2.0.so.0

#72 0x00007fa7220bb6ec in g_main_context_iteration () from
/lib/libglib-2.0.so.0

#73 0x00007fa7294e26d3 in QEventDispatcherGlib::processEvents
(this=0x24724d0, flags=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:412

#74 0x00007fa72890918e in QGuiEventDispatcherGlib::processEvents
(this=0x7fff2e336160, flags=<value optimized out>) at
kernel/qguieventdispatcher_glib.cpp:204

#75 0x00007fa7294b79e2 in QEventLoop::processEvents (this=<value optimized
out>, flags=) at kernel/qeventloop.cpp:149

#76 0x00007fa7294b7dbc in QEventLoop::exec (this=0x7fff2e33c550, flags=) at
kernel/qeventloop.cpp:201

#77 0x00007fa7294bca4b in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:1003

#78 0x0000000000408712 in main (argc=1, argv=0x7fff2e33e528) at
../../src/main.cpp:237


2010/9/21 Myriam Schweingruber <myriam@kde.org>

> https://bugs.kde.org/show_bug.cgi?id=251913
>
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>          Resolution|BACKTRACE                   |WAITINGFORINFO
>
>
>
>
> --- Comment #3 from Myriam Schweingruber <myriam kde org>  2010-09-21
> 23:50:04 ---
> Hm, the new backtrace looks quite different, and doesn't indicate a problem
> with the vlc backend. The backtrace is the same as bug 225883, which is a
> taglib bug.
>
> Are you sure this is the same crash?
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 5 Myriam Schweingruber 2010-09-22 00:19:48 UTC
You need to look at the backtrace, the KCrashHandler indicates a problem with taglib in the second backtrace, and it does so again in the third one. 

The two last backtraces have nothing in common with the first you posted, these are completely different crashes, and duplicates of bug 225883
Comment 6 Waldo Cancino 2010-09-22 00:30:51 UTC
Ok, I get this one just now. I think this is not taglib related, please take
a look.

Regards




__lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7f0bf5562780 (LWP 3567))]

Thread 11 (Thread 0x7f0ba88e8710 (LWP 3572)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bdbba95f2 in LoopRequest (data=<value optimized out>) at
playlist/thread.c:539
#2  Thread (data=<value optimized out>) at playlist/thread.c:586
#3  0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#4  0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f0b9f7fd710 (LWP 3577)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bf3996e6b in wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0befb58e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x28e9690, th=0x2b88790) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0befb5b6fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x2b88790) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0befb5b714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x2b88790) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0befb5b714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x2b88790) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f0befb5b714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x2b88790) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f0befb59c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7f0b9f7fce10, parent=0x28e9690, th=0x2b88790) at
../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f0befb5a1d8 in ThreadWeaver::Thread::run (this=0x2b88790) at
../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f0bf3995e15 in QThreadPrivate::start (arg=0x2b88790) at
thread/qthread_unix.cpp:248
#11 0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#12 0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f0b9fffe710 (LWP 3578)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0be984a556 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007f0be984a599 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#4  0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f0b9c5ad710 (LWP 3579)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bf3996e6b in wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0befb58e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x28e9690, th=0x232d000) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0befb5b6fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x232d000) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0befb5b714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x232d000) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0befb5b714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x232d000) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f0befb59c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7f0b9c5ace10, parent=0x28e9690, th=0x232d000) at
../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f0befb5a1d8 in ThreadWeaver::Thread::run (this=0x232d000) at
../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f0bf3995e15 in QThreadPrivate::start (arg=0x232d000) at
thread/qthread_unix.cpp:248
#10 0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#11 0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0b9bdac710 (LWP 3580)):
#0  __lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f0bf2424458 in _L_lock_9590 () from /lib/libc.so.6
#2  0x00007f0bf2422841 in __libc_free (mem=0x7f0bf2708e40) at malloc.c:3737
#3  0x00007f0bec682fba in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f0bf3aaf1b3 in QEventDispatcherGlib::~QEventDispatcherGlib
(this=0x2bdbc80, __in_chrg=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:366
#5  0x00007f0bf3995a04 in QThreadPrivate::finish (arg=<value optimized out>)
at thread/qthread_unix.cpp:284
#6  0x00007f0bf3995e1d in ~__pthread_cleanup_class (arg=0x7f0bf3d9c8c0) at
/usr/include/pthread.h:535
#7  QThreadPrivate::start (arg=0x7f0bf3d9c8c0) at
thread/qthread_unix.cpp:253
#8  0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#9  0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f0b9b5ab710 (LWP 3582)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bef3be356 in QTWTF::TCMalloc_PageHeap::scavengerThread
(this=0x7f0bef69c1e0) at
../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007f0bef3be399 in QTWTF::TCMalloc_PageHeap::runScavengerThread
(context=0x7f0bef6aa2ac) at
../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#4  0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0b8b601710 (LWP 3600)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bf3996e6b in wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0befb58e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x28e9690, th=0x3293440) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0befb5b6fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x3293440) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0befb59c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7f0b8b600e10, parent=0x28e9690, th=0x3293440) at
../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f0befb5a1d8 in ThreadWeaver::Thread::run (this=0x3293440) at
../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f0bf3995e15 in QThreadPrivate::start (arg=0x3293440) at
thread/qthread_unix.cpp:248
#8  0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#9  0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0b8ae00710 (LWP 3601)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at
../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bf3996e6b in wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x28e97d0,
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0befb58e56 in
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned
(this=0x28e9690, th=0x7f0b8cc7f7e0) at
../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0befb5b6fb in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x7f0b8cc7f7e0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0befb5b714 in ThreadWeaver::WorkingHardState::applyForWork
(this=0x2906ae0, th=0x7f0b8cc7f7e0) at
../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0befb59c7f in ThreadWeaver::ThreadRunHelper::run
(this=0x7f0b8adffe10, parent=0x28e9690, th=0x7f0b8cc7f7e0) at
../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f0befb5a1d8 in ThreadWeaver::Thread::run (this=0x7f0b8cc7f7e0) at
../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f0bf3995e15 in QThreadPrivate::start (arg=0x7f0b8cc7f7e0) at
thread/qthread_unix.cpp:248
#9  0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#10 0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f0b929a2710 (LWP 3661)):
[KCrash Handler]
#6  0x00007f0bf23de165 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f0bf23e0f70 in abort () at abort.c:92
#8  0x00007f0bf241427b in __libc_message (do_abort=<value optimized out>,
fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007f0bf241dad6 in malloc_printerr (action=3, str=0x7f0bf24d4d08
"malloc(): memory corruption (fast)", ptr=<value optimized out>) at
malloc.c:6267
#10 0x00007f0bf24213ed in _int_malloc (av=0x7f0bf2708e40, bytes=<value
optimized out>) at malloc.c:4309
#11 0x00007f0bf2422930 in __libc_malloc (bytes=10) at malloc.c:3661
#12 0x00007f0bf2427882 in __strdup (s=0x32678d0 "Krokodyle") at strdup.c:43
#13 0x00007f0bdbbd1982 in vlc_meta_Merge (dst=0x33de9d0, src=0x3e70a90) at
input/meta.c:176
#14 0x00007f0bdbbc3845 in EsOutMeta (out=<value optimized out>,
i_query=<value optimized out>, args=<value optimized out>) at
input/es_out.c:1390
#15 EsOutControlLocked (out=<value optimized out>, i_query=<value optimized
out>, args=<value optimized out>) at input/es_out.c:2478
#16 EsOutControl (out=<value optimized out>, i_query=<value optimized out>,
args=<value optimized out>) at input/es_out.c:2702
#17 0x00007f0bdbbc7a7e in es_out_vaControl (out=0x8, i_query=3661) at
../include/vlc_es_out.h:126
#18 es_out_Control (out=0x8, i_query=3661) at ../include/vlc_es_out.h:135
#19 0x00007f0bdbbc858e in ControlLocked (p_out=0x33f83c0, i_query=65473168,
args=0x7f0b929a1be0) at input/es_out_timeshift.c:620
#20 Control (p_out=0x33f83c0, i_query=65473168, args=0x7f0b929a1be0) at
input/es_out_timeshift.c:718
#21 0x00007f0bdbbca44e in es_out_vaControl (out=0x8, i_query=3661) at
../include/vlc_es_out.h:126
#22 es_out_Control (out=0x8, i_query=3661) at ../include/vlc_es_out.h:135
#23 0x00007f0bdbbca7cb in es_out_ControlSetMeta (p_input=<value optimized
out>, p_meta=0x3e70a90) at ../include/vlc_es_out.h:147
#24 InputUpdateMeta (p_input=<value optimized out>, p_meta=0x3e70a90) at
input/input.c:2899
#25 0x00007f0bdbbcd8c3 in Init (p_input=0x343d690) at input/input.c:1294
#26 0x00007f0bdbbceb35 in input_Preparse (p_parent=<value optimized out>,
p_item=<value optimized out>) at input/input.c:195
#27 0x00007f0bdbbaf57d in Preparse (data=<value optimized out>) at
playlist/preparser.c:140
#28 Thread (data=<value optimized out>) at playlist/preparser.c:220
#29 0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#30 0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#31 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0b92300710 (LWP 3662)):
#0  __lll_lock_wait () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1  0x00007f0beeb130e9 in _L_lock_953 () from /lib/libpthread.so.0
#2  0x00007f0beeb12f0b in __pthread_mutex_lock (mutex=0x7f0ba40d7370) at
pthread_mutex_lock.c:61
#3  0x00007f0bdbbb4451 in input_item_SetErrorWhenReading
(p_i=0x7f0ba40d7260, b_error=128) at input/item.c:116
#4  0x00007f0bdbbc9f3b in input_ChangeState (p_input=0x7f0b8cc41e60,
i_state=2) at input/input.c:3026
#5  0x00007f0bdbbcd8fc in Init (p_input=0x7f0b8cc41e60) at
input/input.c:1301
#6  0x00007f0bdbbd0d15 in Run (p_this=<value optimized out>) at
input/input.c:537
#7  0x00007f0bdbc08e44 in thread_entry (data=<value optimized out>) at
misc/threads.c:58
#8  0x00007f0beeb108ba in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#9  0x00007f0bf247b02d in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0bf5562780 (LWP 3567)):
#0  __lll_lock_wait_private () at
../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f0bf2424458 in _L_lock_9590 () from /lib/libc.so.6
#2  0x00007f0bf2422841 in __libc_free (mem=0x7f0bf2708e40) at malloc.c:3737
#3  0x00007f0bf1a411e6 in ?? () from /usr/lib/libX11.so.6
#4  0x00007f0bf1a41820 in _XReply () from /usr/lib/libX11.so.6
#5  0x00007f0bf1a1da67 in XGetImage () from /usr/lib/libX11.so.6
#6  0x00007f0bf2f1f8c0 in QX11PixmapData::toImage (this=0x389a140) at
image/qpixmap_x11.cpp:1492
#7  0x00007f0bf2f07a10 in QPixmap::toImage (this=0x3449450) at
image/qpixmap.cpp:486
#8  0x00007f0bf2f4f4a3 in image (this=<value optimized out>) at
painting/qbrush.cpp:208
#9  QBrush::textureImage (this=<value optimized out>) at
painting/qbrush.cpp:785
#10 0x00007f0bf2ff9a1f in QSpanData::setup (this=0x361c4c0, brush=...,
alpha=<value optimized out>, compositionMode=<value optimized out>) at
painting/qpaintengine_raster.cpp:5078
#11 0x00007f0bf2ffaaba in QRasterPaintEngine::updateBrush (this=0x33d1a80,
brush=...) at painting/qpaintengine_raster.cpp:868
#12 0x00007f0bf2ffadba in ensureBrush (this=0x33d1a80, path=..., brush=...)
at painting/qpaintengine_raster_p.h:268
#13 QRasterPaintEngine::fill (this=0x33d1a80, path=..., brush=...) at
painting/qpaintengine_raster.cpp:1799
#14 0x00007f0bf2f70d45 in QPaintEngineEx::draw (this=0x7f0bf2708e40,
path=...) at painting/qpaintengineex.cpp:598
#15 0x00007f0bf2f80e6a in QPainterPrivate::draw_helper (this=0x345d780,
originalPath=..., op=<value optimized out>) at painting/qpainter.cpp:458
#16 0x00007f0bf2f83cd0 in QPainter::drawRects (this=<value optimized out>,
rects=<value optimized out>, rectCount=1) at painting/qpainter.cpp:3509
#17 0x00007f0bf2f85e2e in drawRect (this=0x7fff57c57820, r=<value optimized
out>, pm=..., sr=<value optimized out>) at
../../include/QtGui/../../src/gui/painting/qpainter.h:611
#18 QPainter::drawPixmap (this=0x7fff57c57820, r=<value optimized out>,
pm=..., sr=<value optimized out>) at painting/qpainter.cpp:5419
#19 0x00007f0bf4540dd6 in Playlist::PrettyItemDelegate::paintItem
(this=<value optimized out>, config=<value optimized out>, painter=<value
optimized out>, option=<value optimized out>, index=...,
ignoreMarkers=<value optimized out>) at
../../src/playlist/view/listview/PrettyItemDelegate.cpp:438
#20 0x00007f0bf4541f3e in Playlist::PrettyItemDelegate::paint (this=<value
optimized out>, painter=0x7fff57c57820, option=..., index=...) at
../../src/playlist/view/listview/PrettyItemDelegate.cpp:137
#21 0x00007f0bf337132a in QListView::paintEvent (this=<value optimized out>,
e=<value optimized out>) at itemviews/qlistview.cpp:1044
#22 0x00007f0bf4544120 in Playlist::PrettyListView::paintEvent
(this=0x2713740, event=0x7fff57c584b0) at
../../src/playlist/view/listview/PrettyListView.cpp:637
#23 0x00007f0bf2e7b212 in QWidget::event (this=0x2713740,
event=0x7fff57c584b0) at kernel/qwidget.cpp:8190
#24 0x00007f0bf32226f6 in QFrame::event (this=0x2713740, e=0x7fff57c584b0)
at widgets/qframe.cpp:557
#25 0x00007f0bf3352d9b in QAbstractItemView::viewportEvent (this=0x2713740,
event=0x7fff57c584b0) at itemviews/qabstractitemview.cpp:1615
#26 0x00007f0bf3a844d7 in
QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value
optimized out>, receiver=0x27137e0, event=0x7fff57c584b0) at
kernel/qcoreapplication.cpp:841
#27 0x00007f0bf2e252fc in QApplicationPrivate::notify_helper
(this=0x1af99c0, receiver=0x27137e0, e=0x7fff57c584b0) at
kernel/qapplication.cpp:4298
#28 0x00007f0bf2e2b80b in QApplication::notify (this=0x7fff57c5b040,
receiver=0x27137e0, e=0x7fff57c584b0) at kernel/qapplication.cpp:4185
#29 0x00007f0bf5087b66 in KApplication::notify (this=0x7fff57c5b040,
receiver=0x27137e0, event=0x7fff57c584b0) at
../../kdeui/kernel/kapplication.cpp:310
#30 0x00007f0bf3a850bc in QCoreApplication::notifyInternal
(this=0x7fff57c5b040, receiver=0x27137e0, event=0x7fff57c584b0) at
kernel/qcoreapplication.cpp:726
#31 0x00007f0bf2e8380d in sendSpontaneousEvent (this=0x271dfd0, pdev=<value
optimized out>, rgn=..., offset=<value optimized out>, flags=<value
optimized out>, sharedPainter=0x0, backingStore=0x25edb30) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#32 QWidgetPrivate::drawWidget (this=0x271dfd0, pdev=<value optimized out>,
rgn=..., offset=<value optimized out>, flags=<value optimized out>,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5363
#33 0x00007f0bf2e844a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=0, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5476
#34 0x00007f0bf2e842d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=8, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5463
#35 0x00007f0bf2e8356a in QWidgetPrivate::drawWidget (this=0x271dba0,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x25edb30) at
kernel/qwidget.cpp:5412
#36 0x00007f0bf2e844a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=1, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5476
#37 0x00007f0bf2e8356a in QWidgetPrivate::drawWidget (this=0x2715140,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x25edb30) at
kernel/qwidget.cpp:5412
#38 0x00007f0bf2e844a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=5, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5476
#39 0x00007f0bf2e8356a in QWidgetPrivate::drawWidget (this=0x25ea480,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x25edb30) at
kernel/qwidget.cpp:5412
#40 0x00007f0bf2e844a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=6, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5476
#41 0x00007f0bf2e8356a in QWidgetPrivate::drawWidget (this=0x2454930,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x25edb30) at
kernel/qwidget.cpp:5412
#42 0x00007f0bf2e844a8 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=63, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5476
#43 0x00007f0bf2e842d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=64, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5463
#44 0x00007f0bf2e842d9 in QWidgetPrivate::paintSiblingsRecursive
(this=<value optimized out>, pdev=<value optimized out>, siblings=...,
index=74, rgn=<value optimized out>, offset=<value optimized out>, flags=4,
sharedPainter=0x0, backingStore=0x25edb30) at kernel/qwidget.cpp:5463
#45 0x00007f0bf2e8356a in QWidgetPrivate::drawWidget (this=0x201bf90,
pdev=<value optimized out>, rgn=..., offset=<value optimized out>,
flags=<value optimized out>, sharedPainter=0x0, backingStore=0x25edb30) at
kernel/qwidget.cpp:5412
#46 0x00007f0bf303d9e5 in QWidgetBackingStore::sync (this=0x25edb30) at
painting/qbackingstore.cpp:1300
#47 0x00007f0bf2e75170 in QWidgetPrivate::syncBackingStore (this=0x201bf90)
at kernel/qwidget.cpp:1688
#48 0x00007f0bf2e7b915 in QWidget::event (this=0x201d920,
event=0x7f0ba40d6f60) at kernel/qwidget.cpp:8337
#49 0x00007f0bf323e0db in QMainWindow::event (this=0x201d920,
event=0x7f0ba40d6f60) at widgets/qmainwindow.cpp:1414
#50 0x00007f0bf2e2532c in QApplicationPrivate::notify_helper
(this=0x1af99c0, receiver=0x201d920, e=0x7f0ba40d6f60) at
kernel/qapplication.cpp:4302
#51 0x00007f0bf2e2b80b in QApplication::notify (this=0x7fff57c5b040,
receiver=0x201d920, e=0x7f0ba40d6f60) at kernel/qapplication.cpp:4185
#52 0x00007f0bf5087b66 in KApplication::notify (this=0x7fff57c5b040,
receiver=0x201d920, event=0x7f0ba40d6f60) at
../../kdeui/kernel/kapplication.cpp:310
#53 0x00007f0bf3a850bc in QCoreApplication::notifyInternal
(this=0x7fff57c5b040, receiver=0x201d920, event=0x7f0ba40d6f60) at
kernel/qcoreapplication.cpp:726
#54 0x00007f0bf3a88764 in sendEvent (receiver=0x0, event_type=<value
optimized out>, data=0x19a98d0) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#55 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0,
event_type=<value optimized out>, data=0x19a98d0) at
kernel/qcoreapplication.cpp:1367
#56 0x00007f0bf3aaeb93 in sendPostedEvents (s=<value optimized out>) at
../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#57 postEventSourceDispatch (s=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:276
#58 0x00007f0bec6836c2 in g_main_context_dispatch () from
/lib/libglib-2.0.so.0
#59 0x00007f0bec687538 in ?? () from /lib/libglib-2.0.so.0
#60 0x00007f0bec6876ec in g_main_context_iteration () from
/lib/libglib-2.0.so.0
#61 0x00007f0bf3aae6d3 in QEventDispatcherGlib::processEvents
(this=0x19a94d0, flags=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:412
#62 0x00007f0bf2ed518e in QGuiEventDispatcherGlib::processEvents
(this=0x7f0bf2708e40, flags=<value optimized out>) at
kernel/qguieventdispatcher_glib.cpp:204
#63 0x00007f0bf3a839e2 in QEventLoop::processEvents (this=<value optimized
out>, flags=) at kernel/qeventloop.cpp:149
#64 0x00007f0bf3a83dbc in QEventLoop::exec (this=0x7fff57c5afe0, flags=) at
kernel/qeventloop.cpp:201
#65 0x00007f0bf3a88a4b in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:1003
#66 0x0000000000408712 in main (argc=1, argv=0x7fff57c5cfb8) at
../../src/main.cpp:237


2010/9/21 Myriam Schweingruber <myriam@kde.org>

> https://bugs.kde.org/show_bug.cgi?id=251913
>
>
>
>
>
> --- Comment #5 from Myriam Schweingruber <myriam kde org>  2010-09-22
> 00:19:48 ---
> You need to look at the backtrace, the KCrashHandler indicates a problem
> with
> taglib in the second backtrace, and it does so again in the third one.
>
> The two last backtraces have nothing in common with the first you posted,
> these
> are completely different crashes, and duplicates of bug 225883
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 7 Myriam Schweingruber 2010-09-22 08:49:29 UTC
Right, this is a different backtrace, so you actually have two different crashes here. Looks like a problem with vlc itself. Thank you for your feedback and help. I guess you use the stable vlc-backend 0.2.0, right?
Comment 8 Waldo Cancino 2010-09-22 11:29:33 UTC
Exactly, anyways, I also tried with the git version and

things do not change. In fact, the first backtrace

I sent was using the phonon-vlc git.

Regards,

Waldo

2010/9/22 Myriam Schweingruber <myriam@kde.org>

> https://bugs.kde.org/show_bug.cgi?id=251913
>
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>             Status|NEEDSINFO                   |UNCONFIRMED
>         Resolution|WAITINGFORINFO              |
>            Summary|Amarok crashes with         |Amarok crashes with
>                   |phonon-vlc each time it     |phonon-vlc each time it
>                   |ends to play a song         |ends to play a song [@
>                   |                            |EsOutMeta (out=<value
>                   |                            |optimized out>,
>                   |                            |i_query=<value optimized
>                   |                            |out>, args=<value optimized
>                   |                            |out>) ]
>
>
>
>
> --- Comment #7 from Myriam Schweingruber <myriam kde org>  2010-09-22
> 08:49:29 ---
> Right, this is a different backtrace, so you actually have two different
> crashes here. Looks like a problem with vlc itself. Thank you for your
> feedback
> and help. I guess you use the stable vlc-backend 0.2.0, right?
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 9 E.T. Anderson 2010-10-13 00:41:14 UTC
I experience this bug as well. I DO have PulseAudio installed. I'm using the 0.2.0 version from the Ubuntu 10.10 repos.
Comment 10 Myriam Schweingruber 2010-10-15 23:57:19 UTC
*** Bug 254244 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2010-10-16 18:24:50 UTC
*** Bug 254374 has been marked as a duplicate of this bug. ***
Comment 12 Jean-Baptiste Kempf 2010-10-17 20:12:52 UTC
I believe this is a taglib bug, as was reported against VLC already
Comment 13 Myriam Schweingruber 2010-10-17 20:43:41 UTC
Reassigning, based on comment #12
Comment 14 Scott Wheeler 2010-10-17 21:45:26 UTC

*** This bug has been marked as a duplicate of bug 249960 ***
Comment 15 Jean-Baptiste Kempf 2010-10-18 12:13:47 UTC
Bug is reopened, since bug 249960  is a Fedora packaging bug
Comment 16 Jean-Baptiste Kempf 2010-10-18 12:20:35 UTC
Backtrace from comment#6, makes me wonder why you are in EsOut code in VLC.

Can you do 2 things:

- Wipe out ~/.config/vlc and ~/.vlc
- Remove the taglib module from your system and wipe out ~/.cache/vlc

And redo a crash.
Thanks
Comment 17 Sylvain Paré 2011-01-10 20:11:36 UTC
Created attachment 55833 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.5.5 (KDE 4.5.5) using Qt 4.7.0

- What I was doing when the application crashed:
playing a static playlist, a track was ending.
- Custom settings of the application:
using phonon-vlc backend (phonon and phonon vlc backend from git up to date from today)

-- Backtrace (Reduced):
#6  0x00007fee636e366c in malloc_consolidate (av=0x7fee639eae40) at malloc.c:5161
#7  0x00007fee636e6e82 in _int_malloc (av=0x7fee639eae40, bytes=5776) at malloc.c:4373
#8  0x00007fee636e838e in __libc_malloc (bytes=5776) at malloc.c:3660
[...]
[...]
#11 0x00007fee64af7952 in QImageData::create (size=<value optimized out>, format=QImage::Format_RGB32, numColors=0) at image/qimage.cpp:242
#12 0x00007fee64af8e5b in QImage::QImage (this=0x7fff0ebb1fa0, width=38, height=38, format=QImage::Format_RGB32) at image/qimage.cpp:842
Comment 18 Myriam Schweingruber 2011-01-12 19:09:09 UTC
Sylvain, your backtrace is not the same as this report, yours is a duplicate of bug 262955. Please paste it there.
Comment 19 Tom Kijas 2011-03-13 15:19:22 UTC
Created attachment 57921 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed:
I use phonon-backend-vlc and Amarok in the latest version. The problem is, that sometimes, if I want to add songs to "Now playing" from music collection, amarok crashes.

-- Backtrace (Reduced):
#6  0x00007f26f7f9566c in malloc_consolidate (av=0x7f26f829ce40) at malloc.c:5161
#7  0x00007f26f7f98e82 in _int_malloc (av=0x7f26f829ce40, bytes=1264) at malloc.c:4373
#8  0x00007f26f7f9a38e in __libc_malloc (bytes=1264) at malloc.c:3660
[...]
#12 0x0000003cf2013296 in png_create_read_struct_2 () from /lib/libpng12.so.0
#13 0x0000003cf2013647 in png_create_read_struct () from /lib/libpng12.so.0
Comment 20 Myriam Schweingruber 2013-06-13 14:26:50 UTC
*** Bug 321110 has been marked as a duplicate of this bug. ***
Comment 21 Bruno Léon 2013-06-27 13:29:53 UTC
Any update on a planned fix ?
Should we file something to taglib project ?

This basically make Amarok unusable because collection is not scannable.

Thanks
Comment 22 Myriam Schweingruber 2013-06-27 14:52:29 UTC
(In reply to comment #21)
> Any update on a planned fix ?
> Should we file something to taglib project ?

What exact taglib version do you use? An alternative would be to sue the gstreamer backend instead.
Comment 23 Bruno Léon 2013-06-27 15:23:14 UTC
Taglib version is 1.8-1 (Kubuntu 13.04).

I tried the phonon-backend-vlc but it does not fix the issue.

The problem is not in playing the file but in reading its tag, so I'm not sure but I do no think this has anything to do with the choosen backend.
Comment 24 Myriam Schweingruber 2013-06-27 19:09:12 UTC
(In reply to comment #23)
> Taglib version is 1.8-1 (Kubuntu 13.04).
> 
> I tried the phonon-backend-vlc but it does not fix the issue.
>
Erm, I think I said gstreamer, as this issue here is with the vlc backend :)
Comment 25 Bruno Léon 2013-06-29 09:44:55 UTC
Actually gstreamer-backend is the default Kubuntu backend, so I tried the vlc one without any more success.

Still, I filed the BUG 321110 that you set duplicate of this one but I do not see how my issue (see 321110) fits within this bug.

Mine is clearly related to taglib issue while converting a string, not a vlc backend pb AFAIK.
Comment 26 Myriam Schweingruber 2013-06-29 09:58:42 UTC
(In reply to comment #25)
> Actually gstreamer-backend is the default Kubuntu backend, so I tried the
> vlc one without any more success.
> 
> Still, I filed the BUG 321110 that you set duplicate of this one but I do
> not see how my issue (see 321110) fits within this bug.
> 
> Mine is clearly related to taglib issue while converting a string, not a vlc
> backend pb AFAIK.

Did you see the Product field of this bug?
Comment 27 Bruno Léon 2013-06-29 10:36:27 UTC
> Did you see the Product field of this bug?

Yes but I was confused by your reply "as this issue here is with the vlc backend" sorry about that.
So let's just wait and see then...

For now I just can't use Amarok.

Thanks
Comment 28 Myriam Schweingruber 2013-06-29 16:10:17 UTC
(In reply to comment #27)
> > Did you see the Product field of this bug?
> 
> Yes but I was confused by your reply "as this issue here is with the vlc
> backend" sorry about that.
> So let's just wait and see then...
> 
> For now I just can't use Amarok.

Of course you can, just not certain file types, as this only happens with Musepack, no?

Anyway, I use the gstreamer backend here and have never seen that crash happen, currently using Amarok v2.7.0-441-gbed98ee on Kubuntu 13.04. We are working on a beta release of Amarok 2.8
Comment 29 Bruno Léon 2013-07-03 14:36:22 UTC
Well more than half of my collection is Musepack (was an early adopter of that format).
I tried an old version of Amarok (2.5) on a VM and it works perfectly fine.

Also on my machine where Amarok keeps crashing, Clementine (which uses taglib afaik) is playing my file without issues, so does vlc.
Comment 30 Myriam Schweingruber 2013-07-03 19:57:13 UTC
(In reply to comment #29)
> Well more than half of my collection is Musepack (was an early adopter of
> that format).
> I tried an old version of Amarok (2.5) on a VM and it works perfectly fine.
> 
> Also on my machine where Amarok keeps crashing, Clementine (which uses
> taglib afaik) is playing my file without issues, so does vlc.

You are comparing apples with oranges here, Amarok uses Phonon and it's backends, Clementine does use the gstreamer library directly. As for VLC, it uses its own library.
Comment 31 Bruno Léon 2013-07-03 20:15:47 UTC
My point is that they both use Taglib and one is crashing not the other.
Comment 32 Bruno Léon 2013-07-04 14:41:33 UTC
I tried Tagpy to see if the issue was the same and indeed it also segfault.

I then compiled the latest taglib version from git, and rebuilt tagpy to use it.
I still see an utf-8 conversion error message, but no crash.

I recompiled Amarok from git against the new taglib, but Amarok still crashes.

The issue is actually with file having a cover art embedded.
Looks like Taglib is trying to convert the cover art into some string, which fails.

Amarok should handle the error though I think.
Comment 33 Christoph Feck 2013-07-12 15:36:15 UTC
Bruno, does that mean there are actually two bugs, one in taglib (reported here), and one in Amarok? If yes, you probably should report it separately.
Comment 34 Bruno Léon 2013-07-12 17:22:09 UTC
Created attachment 81076 [details]
Amarok crashing when calling taglib to read tags

TagLib: String::copyFromUTF8() - Unicode conversion error.
TagLib: String::copyFromUTF8() - Unicode conversion error.
TagLib: String::copyFromUTF8() - Unicode conversion error.
TagLib: String::copyFromUTF8() - Unicode conversion error.
TagLib: String::copyFromUTF8() - Unicode conversion error.
TagLib: String::copyFromUTF8() - Unicode conversion error.
TagLib: String::copyFromUTF8() - Unicode conversion error.
TagLib: String::copyFromUTF8() - Unicode conversion error.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffc1763700 (LWP 22985)]
0x00007ffff5042223 in std::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> >::size() const () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
(gdb) bt
#0  0x00007ffff5042223 in std::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> >::size() const () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#1  0x00007fffedad6c64 in TagLib::String::to8Bit(bool) const () from /home/test/kde/lib/libtag.so.1
#2  0x00007fffedad6d97 in TagLib::String::toCString(bool) const () from /home/test/kde/lib/libtag.so.1
#3  0x00007ffff2f304c5 in Meta::Tag::TStringToQString (str=...) at /home/test/kde/src/amarok/shared/tag_helpers/StringHelper.cpp:45
#4  0x00007ffff2f27d6b in Meta::Tag::APETagHelper::tags (this=0x7fffb4199540) at /home/test/kde/src/amarok/shared/tag_helpers/APETagHelper.cpp:54
#5  0x00007ffff2f1e313 in Meta::Tag::readTags (path=...) at /home/test/kde/src/amarok/shared/MetaTagLib.cpp:237
#6  0x00007ffff6ef0da7 in MetaFile::Track::Private::readMetaData (this=0x7fffb4015880) at /home/test/kde/src/amarok/src/core-impl/meta/file/File_p.h:166
#7  0x00007ffff6ef2260 in MetaFile::Track::Track (this=0x7fffb40126d0, url=..., __in_chrg=<optimized out>, __vtt_parm=<optimized out>)
    at /home/test/kde/src/amarok/src/core-impl/meta/file/File.cpp:141
#8  0x00007ffff6ef54c0 in FileTrackProvider::trackForUrl (this=<optimized out>, url=...) at /home/test/kde/src/amarok/src/core-impl/meta/file/FileTrackProvider.cpp:43
#9  0x00007ffff6f25a0f in CollectionManager::trackForUrl (this=0xce1870, url=...) at /home/test/kde/src/amarok/src/core-impl/collections/support/CollectionManager.cpp:479
#10 0x00007ffff6efdc16 in MetaProxy::Worker::run (this=0x1080010) at /home/test/kde/src/amarok/src/core-impl/meta/proxy/MetaProxyWorker.cpp:45
#11 0x00007ffff2565e3a in ?? () from /usr/lib/libthreadweaver.so.4
#12 0x00007ffff2565fb1 in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#13 0x00007ffff256560f in ?? () from /usr/lib/libthreadweaver.so.4
#14 0x00007ffff25656cb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#15 0x00007ffff5302bec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#16 0x00007ffff0febf8e in start_thread (arg=0x7fffc1763700) at pthread_create.c:311
#17 0x00007ffff4cb5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
(gdb)
Comment 35 Bruno Léon 2013-07-12 17:38:44 UTC
Created attachment 81077 [details]
Taglib (commit 3a636c7) reading the file without crashing
Comment 36 Bruno Léon 2013-07-12 17:41:06 UTC
(In reply to comment #33)
> Bruno, does that mean there are actually two bugs, one in taglib (reported
> here), and one in Amarok? If yes, you probably should report it separately.

I'll ask to repoen 321110 which was mark duplicate of this one.
Comment 37 Matěj Laitl 2013-07-12 20:52:32 UTC
(In reply to comment #36)
> (In reply to comment #33)
> > Bruno, does that mean there are actually two bugs, one in taglib (reported
> > here), and one in Amarok? If yes, you probably should report it separately.
> 
> I'll ask to repoen 321110 which was mark duplicate of this one.

No, there is no evidence that this is actually an Amarok bug. The mere fact that other app that uses TagLib doesn't crash does not prove that the problem is in Amarok at all. TagLib creates corrupt TagLib::String structure and then it is pure luck (and program state, stack etc) whether it will crash or not.
Comment 38 Bruno Léon 2013-07-16 10:11:07 UTC
Ok this should be fixed by https://github.com/taglib/taglib/pull/262

As a workaround you can just remove cover art fro Musepack file until new taglib is released and used by Amarok.
I did a little script that might help some: https://gist.github.com/brunoleon/6007457
Comment 39 Myriam Schweingruber 2013-07-16 11:12:37 UTC
Then this bug should be closed. Not a very smart way to track bugs on taglib in two different places *sigh*